#!/bin/sh

eval "`proccgi $*`"

. /var/run/webcam.conf


cat <<- EOF
  Content-Type: text/html; charset=iso-8859-1
  Cache-control: no-cache
  Pragma: no-cache
  Expires: \`date -Ru\`

<html>
<head></head>
<body>
<center>
<applet code="kutttpech.KutttPech" archive="/$WEBCAM_DIR/kutttpech.jar" width="352" height="308">

	<param name="CUTTING" value="yes">
	<param name="AUDIO" value="no">

	<param name="BUFFERING" value="yes">
	<param name="CONTROLS" value="full">

	<param name="SCALING" value="no">
	<param name="EXTERNING" value="no">

	<!-- Your filename/url here -->
	<param name="FILENAME" value="/$WEBCAM_DIR/camera$FORM_camera/`date +%Y/%m/%d-timelaps.mpg`">

</applet>
<br>
<a href="/$WEBCAM_DIR/camera$FORM_camera/`date +%Y/%m/%d-timelaps.mpg`">Kamera $FORM_camera: MPEG-Film vom `date +%e.%m.%Y`</A>

</center>

</body>
</html>

EOF
